curl -G 'https://api.yativo.com/api/v1/business/rfis' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET' \
--data-urlencode 'response_required=1'
{
"status": "success",
"data": [
{
"id": 42,
"provider_rfi_id": "<string>",
"state": "on_developer",
"response_required": true,
"requested_items": [
{}
],
"draft_responses": {},
"draft_responses_at": "2023-11-07T05:31:56Z",
"submitted_to_provider_at": "2023-11-07T05:31:56Z",
"deadline": "2023-11-07T05:31:56Z",
"dashboard_url": "<string>"
}
],
"pagination": {
"total": 123,
"per_page": 123,
"current_page": 123,
"last_page": 123,
"next_page_url": "<string>",
"prev_page_url": "<string>"
}
}Compliance RFIs
List RFIs
List compliance RFIs for your account
GET
/
business
/
rfis
curl -G 'https://api.yativo.com/api/v1/business/rfis' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET' \
--data-urlencode 'response_required=1'
{
"status": "success",
"data": [
{
"id": 42,
"provider_rfi_id": "<string>",
"state": "on_developer",
"response_required": true,
"requested_items": [
{}
],
"draft_responses": {},
"draft_responses_at": "2023-11-07T05:31:56Z",
"submitted_to_provider_at": "2023-11-07T05:31:56Z",
"deadline": "2023-11-07T05:31:56Z",
"dashboard_url": "<string>"
}
],
"pagination": {
"total": 123,
"per_page": 123,
"current_page": 123,
"last_page": 123,
"next_page_url": "<string>",
"prev_page_url": "<string>"
}
}Returns RFIs raised by payment partners on your customers or transactions, newest first.
GET https://api.yativo.com/api/v1/business/rfis
| Query | Description |
|---|---|
open_only | 1 — only RFIs that are still open |
response_required | 1 — only RFIs waiting on your response |
page, per_page | Standard pagination |
curl -G 'https://api.yativo.com/api/v1/business/rfis' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET' \
--data-urlencode 'response_required=1'
Authorizations
Your API key (yativo_pk_...) from Developers → API Keys. Send together with X-Api-Secret.
Your API secret (yativo_sk_...), shown once when the key is created.
Query Parameters
When true, return only open RFIs.
When true, return only RFIs waiting on your response.

